#ifndef DOCUMENT_H
#define DOCUMENT_H

#include <QTimer>
#include <QWebView>

#include "playlistitem.h"
#include "runnable.h"

class Document : public QWebView, public Runnable
{
    Q_OBJECT
    Q_INTERFACES(Runnable)

public:
    Document(PlaylistItem *item, QWidget *parent);

    void run();
    void stop();

private:
    int m_time;
    QString m_uri;
    QTimer m_timer;

    QString parseTemplate(QString &html, QString &basePath);

private slots:
    void onTimeout();

signals:
    void end();
};

#endif
