#ifndef IMAGE_H
#define IMAGE_H

#include <QTimer>
#include <QWidget>
#include <QLabel>

#include "runnable.h"
#include "playlistitem.h"

class Image : public QLabel, public Runnable
{
    Q_OBJECT
    Q_INTERFACES(Runnable)

public:
    Image(PlaylistItem *item, QWidget *parent);
    void run();
    void stop();

private:
    void setBlackBackground();
    void buildPixmap();

    int m_time;
    QString m_uri;
    QTimer m_timer;

private slots:
    void onTimeout();

signals:
    void end();
};

#endif
